<div class="container">
    <form class="form-signup" id="signup-form">
        <h1 class="h3 mb-3 font-weight-normal yellow">Please Signup</h1>

        <mat-form-field appearance="standard">
            <input matInput type="username" id="inputUsername" name="username" [(ngModel)]="username" 
                class="login_box" placeholder="Username" required>
        </mat-form-field><br/>

        <mat-form-field appearance="standard">
            <input matInput type="email" id="inputEmail" name="email" [(ngModel)]="email" 
                class="login_box" placeholder="Email" required>
        </mat-form-field><br/>

        <mat-form-field appearance="standard">
            <input matInput type="password" id="inputPassword" name="password" [(ngModel)]="password" 
                class=" login_box" placeholder="Password" required><br>
        </mat-form-field><br/>
        <button class="login-button" type="submit" (click)="signup()" >signup</button>
        <div class="red" *ngIf="message">{{message}}</div>
    </form>
</div>
